/*******************************************************************************
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 *  
 *******************************************************************************/
//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.1-456 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2009.07.20 at 10:55:05 AM IST 
//

package org.apache.wink.common.model.rss;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>
 * Java class for "cloud" element of <a
 * href="http://www.rssboard.org/rss-specification">RSS 2.0 Specification</a>.
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 * 
 * <pre>
 * &lt;complexType name=&quot;rssCloud&quot;&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base=&quot;{http://www.w3.org/2001/XMLSchema}anyType&quot;&gt;
 *       &lt;attribute name=&quot;domain&quot; use=&quot;required&quot; type=&quot;{http://www.w3.org/2001/XMLSchema}string&quot; /&gt;
 *       &lt;attribute name=&quot;port&quot; use=&quot;required&quot; type=&quot;{http://www.w3.org/2001/XMLSchema}int&quot; /&gt;
 *       &lt;attribute name=&quot;path&quot; use=&quot;required&quot; type=&quot;{http://www.w3.org/2001/XMLSchema}string&quot; /&gt;
 *       &lt;attribute name=&quot;registerProcedure&quot; use=&quot;required&quot; type=&quot;{http://www.w3.org/2001/XMLSchema}string&quot; /&gt;
 *       &lt;attribute name=&quot;protocol&quot; use=&quot;required&quot; type=&quot;{http://www.w3.org/2001/XMLSchema}string&quot; /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * <h5>&lt;cloud&gt; sub-element of &lt;channel&gt;</h5>
 * <p>
 * &lt;cloud&gt; is an optional sub-element of &lt;channel>.
 * </p>
 * <p>
 * It specifies a web service that supports the rssCloud interface which can be
 * implemented in HTTP-POST, XML-RPC or SOAP 1.1.
 * </p>
 * <p>
 * Its purpose is to allow processes to register with a cloud to be notified of
 * updates to the channel, implementing a lightweight publish-subscribe protocol
 * for RSS feeds.
 * </p>
 * <p>
 * Example:
 * </p>
 * <p>
 * &lt;cloud domain="rpc.sys.com" port="80" path="/RPC2"
 * registerProcedure="myCloud.rssPleaseNotify" protocol="xml-rpc" /&gt;
 * </p>
 * <p>
 * In this example, to request notification on the channel it appears in, you
 * would send an XML-RPC message to rpc.sys.com on port 80, with a path of
 * /RPC2. The procedure to call is myCloud.rssPleaseNotify.
 * </p>
 * <p>
 * A full explanation of this element and the rssCloud interface is <a
 * href="http://www.rssboard.org/rsscloud-interface">here</a>.
 * </p>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "rssCloud")
public class RssCloud {

    @XmlAttribute(required = true)
    protected String domain;
    @XmlAttribute(required = true)
    protected int    port;
    @XmlAttribute(required = true)
    protected String path;
    @XmlAttribute(required = true)
    protected String registerProcedure;
    @XmlAttribute(required = true)
    protected String protocol;

    /**
     * Gets the value of the domain property.
     * 
     * @return possible object is {@link String }
     */
    public String getDomain() {
        return domain;
    }

    /**
     * Sets the value of the domain property.
     * 
     * @param value allowed object is {@link String }
     */
    public void setDomain(String value) {
        this.domain = value;
    }

    /**
     * Gets the value of the port property.
     */
    public int getPort() {
        return port;
    }

    /**
     * Sets the value of the port property.
     */
    public void setPort(int value) {
        this.port = value;
    }

    /**
     * Gets the value of the path property.
     * 
     * @return possible object is {@link String }
     */
    public String getPath() {
        return path;
    }

    /**
     * Sets the value of the path property.
     * 
     * @param value allowed object is {@link String }
     */
    public void setPath(String value) {
        this.path = value;
    }

    /**
     * Gets the value of the registerProcedure property.
     * 
     * @return possible object is {@link String }
     */
    public String getRegisterProcedure() {
        return registerProcedure;
    }

    /**
     * Sets the value of the registerProcedure property.
     * 
     * @param value allowed object is {@link String }
     */
    public void setRegisterProcedure(String value) {
        this.registerProcedure = value;
    }

    /**
     * Gets the value of the protocol property.
     * 
     * @return possible object is {@link String }
     */
    public String getProtocol() {
        return protocol;
    }

    /**
     * Sets the value of the protocol property.
     * 
     * @param value allowed object is {@link String }
     */
    public void setProtocol(String value) {
        this.protocol = value;
    }

}
